### void PASCAL RARSetPassword(HANDLE hArcData,char *Password)

### Description

Set a password to decrypt files.

This function does not allow to process archives with encrypted headers. It can be used only for archives with encrypted file data and unencrypted headers. So the recommended way to set a password is UCM_NEEDPASSWORDW message in user defined callback function. Unlike RARSetPassword, UCM_NEEDPASSWORDW can be used for all types of encrypted RAR archives.

### Parameters

hArcData

> This parameter should contain the archive handle obtained from RAROpenArchive or RAROpenArchiveEx function call.

Password

> Zero terminated string containing a password.

### Return values

> None.

### See also

> User defined callback function